### Constructor

# Gtk Picturenew_for_paintable

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_paintable (
      GdkPaintable* paintable
    )

#### Description [src]

Creates a new `GtkPicture` displaying `paintable`.

The `GtkPicture` will track changes to the `paintable` and update its size and contents in response to it.

#### Parameters

`paintable`

  Type: `GdkPaintable`

  A `GdkPaintable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkPicture`

The data is owned by the called function.